<form  #f="ngForm"  role="form"  (ngSubmit)="onSubmit()" [noValidate]="f.form.invalid">

<div class="card card-primary" style="margin: -24px">
  <div class="card-header">
    <h3 class="card-title">Broadcast a Mission



    </h3>
    <button type="submit" [disabled]="f.form.invalid" class="btn btn-primary card-tools" ><i class="fas fa-plus"></i></button>
<!--    <button type="button" class="btn btn-default card-tools" data-dismiss="modal" (click)="goToMissionList()">Close</button>-->


  </div>
  <!-- /.card-header -->
    <div class="card-body" style="margin-top: -10px" >

      <div class="row" >

        <div class="form-group col-md-12">
          <label>Title </label> <label style="margin-left: 10px"><div *ngIf="title.invalid && (title.dirty || title.touched)" >
          <h5 *ngIf="title.errors?.required" style="color: red;margin-bottom: -12px;font-size: x-small">
            Title is required.
          </h5>
          <h5 *ngIf="title.errors?.minlength" style="color: red;margin-bottom: -12px;font-size: x-small">
            Title must be at least 4 characters long.
          </h5>

        </div></label>
          <input type="text" #title="ngModel" required minlength="4"  class="form-control" id="title" [(ngModel)]="mission.title" [ngModelOptions]="{standalone: true} " placeholder="Title">

        </div>
<!--        <div class="form-group col-md-6">-->
<!--          <label>Description</label>-->
<!--          <input type="text" class="form-control" id="description" [(ngModel)]="mission.description" [ngModelOptions]="{standalone: true} " placeholder="Description">-->
<!--        </div>-->
      </div>
      <div class="row">
        <div class="form-group col-md-12">
          <label>Description</label><label style="margin-left: 10px"><div *ngIf="description.invalid && (description.dirty || description.touched)" >
          <h5 *ngIf="description.errors?.required" style="color: red;margin-bottom: -12px;font-size: x-small">
            Description is required.
          </h5>
          <h5 *ngIf="description.errors?.minlength" style="color: red;margin-bottom: -12px;font-size: x-small">
            Description must be at least 30 characters long.
          </h5>
        </div></label>
          <textarea id="description" #description="ngModel" required minlength="30" [(ngModel)]="mission.description" [ngModelOptions]="{standalone: true} " placeholder="Description" class="form-control" rows="4"></textarea>
        </div>

      </div>
      <div class="row">

        <div class="form-group col-md-12">
          <label>Address</label><label style="margin-left: 10px"><div *ngIf="address.invalid && (address.dirty || address.touched)" >
          <h5 *ngIf="address.errors?.required" style="color: red;margin-bottom: -12px;font-size: x-small">
            Address is required.
          </h5>
          <h5 *ngIf="address.errors?.minlength" style="color: red;margin-bottom: -12px;font-size: x-small">
            Address must be at least 10 characters long.
          </h5>
        </div></label>
          <input type="text" class="form-control" #address="ngModel" required minlength="10" id="Address" [(ngModel)]="mission.address" [ngModelOptions]="{standalone: true} " placeholder="Address">
        </div>
      </div>
      <div class="row">
        <div class="form-group col-md-6">
          <label>Country</label>
          <label style="margin-left: 10px"><div *ngIf="country.invalid && (country.dirty || country.touched)" >
            <h5 *ngIf="country.errors?.required" style="color: red;margin-bottom: -12px">
              *
            </h5>
            <h5 *ngIf="country.errors?.minlength" style="color: red;margin-bottom: -12px">
              Select Country.
            </h5>
            <h5 *ngIf="country.errors?.forbiddenName">
              Select Country
            </h5>

          </div></label>
          <select class="form-control" id="country" #country="ngModel" required  minlength="1" [(ngModel)]="mission.country" (ngModelChange)="onChange($event)" [ngModelOptions]="{standalone: true}">

            <option value="" [selected]="true">Choose a country</option>
              <option *ngFor="let c of Countries">{{c.name}}</option>



        </select>
        </div>
        <div class="form-group col-md-6">
          <label>Region
            <label style="margin-left: 4px">
              <h5 *ngIf="noAvatarfound" style="color: red;margin-bottom: -12px;font-size: x-small" >No avatar found</h5>
            <div *ngIf="region.invalid && (region.dirty || region.touched)" >

              <h5 *ngIf="region.errors?.required" style="color: red;margin-bottom: -12px">
                *
              </h5>
              <h5 *ngIf="region.errors?.minlength" style="color: red;margin-bottom: -12px">
                Select a region.
              </h5>
              <h5 *ngIf="region.errors?.forbiddenName">
                Select a region.
              </h5>

            </div>
            </label>
<!--            <label STYLE="margin-bottom: -12px;margin-top: -7px"> <i [hidden]="!noAvatorfound" style="color: red;font-size: 0.7em;margin-top: -10px" title="No avatar found in this region" class="fas fa-exclamation-triangle"></i></label>-->
          </label>
          <select class="form-control" id="regions" #region="ngModel" required  minlength="1" [(ngModel)]="mission.region" (ngModelChange)="onChangeRegion($event)" [ngModelOptions]="{standalone: true}">
            <option value="" [selected]="true">Choose a region</option>
            <option *ngFor="let c of Regions">{{c.name}}</option>

          </select>
        </div>
<!--        <div class="form-group col-md-3">-->
<!--          <label>Region</label>-->
<!--          <input type="text" class="form-control" id="Region" [(ngModel)]="mission.region" [ngModelOptions]="{standalone: true} " placeholder="Region">-->
<!--        </div>-->


      </div>
      <div class="row">
        <div class="form-group col-md-6">
          <label>Date</label>
          <label style="margin-left: 10px">
            <div *ngIf="date.invalid && (date.dirty || date.touched)" >

              <h5 *ngIf="date.errors?.required" style="color: red;margin-bottom: -12px">
                *
              </h5>


            </div>
          </label>
          <input type="datetime-local" #date="ngModel" class="form-control" required min="{{currentDate}}" id="date" [(ngModel)]="mission.date" [ngModelOptions]="{standalone: true} " >
        </div>
        <div class="form-group col-md-6">
          <label>Expiration Date</label>
          <label style="margin-left: 10px">
            <div *ngIf="expiredate.invalid && (expiredate.dirty || expiredate.touched)" >

              <h5 *ngIf="expiredate.errors?.required" style="color: red;margin-bottom: -12px">
                *
              </h5>

            </div>
          </label>
          <input type="datetime-local" #expiredate="ngModel" class="form-control" required min="{{mission.date}}" id="expiredate" [(ngModel)]="mission.expiredate" [ngModelOptions]="{standalone: true} " >
        </div>
      </div>





    </div>
    <!-- /.card-body -->

<!--    <div class="card-footer">-->
<!--      <button type="submit" class="btn btn-primary" >Add</button>-->
<!--      <button type="button" class="btn btn-default" data-dismiss="modal" (click)="goToMissionList()">Close</button>-->
<!--    </div>-->

  <!-- /.card -->

</div>
</form>











<!--<div class="col-md-6 offset-md-3"><h3>UPDATE EMLOYEE</h3>-->
<!--  <form >-->
<!--&lt;!&ndash;    (ngSubmit)="onSubmit()"&ndash;&gt;-->
<!--    <div class="form-group">-->
<!--      <label>FirstName</label>-->
<!--      <input type="text" class="form-control" id="firstnam" [(ngModel)]="user.firstName" name="firstname">-->
<!--    </div>-->

<!--    <div class="form-group">-->
<!--      <label>LastName</label>-->
<!--      <input type="text" class="form-control" id="lastnam" [(ngModel)]="user.lastName" name="lastname">-->
<!--    </div>-->

<!--    <div class="form-group">-->
<!--      <label>EmailId</label>-->
<!--      <input type="text" class="form-control" id="Email" [(ngModel)]="user.email" name="mail">-->
<!--    </div>-->

<!--    <button class="btn btn-success " type="submit">Update</button>-->
<!--  </form>-->
<!--</div>-->
